#
# spec file for package python-xklavier
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-xklavier
Summary:        Python bindings for libxklavier
License:        LGPL-2.1
Group:          Development/Languages/Python
Version:        0.4
Release:        lp151.2.2
Url:            http://devel.randomink.org/projects/python-xklavier
# repacked http://devel.randomink.org/attachments/download/6/%%{name}-%%{version}.tar.gz
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(python)
%py_requires
Requires:       python-gobject2

%description
Python-Xklavier is a set of Python bindings for libxklavier,
which is a library providing high-level API for X Keyboard
Extension known as XKB.
The primary motivation for writing the Python bindings was
the development of the keyboard layout configuration section
of Sugar, but hopefully more projects (distribution
installers, etc) will be able to utilize the bindings for
keyboard configuration.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall
find %buildroot -name "*.la" -delete -print

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_sitedir}/*

%changelog
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Mar 13 2011 adam@mizerski.pl
- update to 0.4
* Thu May  6 2010 adam@mizerski.pl
- new package
